from django.utils.translation import gettext_lazy as _

# most common reference systems

WGS_84 = 4326
WGS_72 = 4322
PSEUDO_MERCATOR = 3857
NAD_83 = 4269
OSGB_36 = 4277

GLOBAL_CHOICES = (
    (WGS_84, _('WGS 84')),
    (PSEUDO_MERCATOR, _('Pseudo-Mercator')),
    (WGS_72, _('WGS 72')),
    (NAD_83, _('NAD 83')),
    (OSGB_36, _('OSGB 36')),
)

UTM_ZONE_CHOICES = (
    (32601, _('UTM Zone 1, northern hemisphere')),
    (32602, _('UTM Zone 2, northern hemisphere')),
    (32603, _('UTM Zone 3, northern hemisphere')),
    (32604, _('UTM Zone 4, northern hemisphere')),
    (32605, _('UTM Zone 5, northern hemisphere')),
    (32606, _('UTM Zone 6, northern hemisphere')),
    (32607, _('UTM Zone 7, northern hemisphere')),
    (32608, _('UTM Zone 8, northern hemisphere')),
    (32609, _('UTM Zone 9, northern hemisphere')),
    (32610, _('UTM Zone 10, northern hemisphere')),

    (32611, _('UTM Zone 11, northern hemisphere')),
    (32612, _('UTM Zone 12, northern hemisphere')),
    (32613, _('UTM Zone 13, northern hemisphere')),
    (32614, _('UTM Zone 14, northern hemisphere')),
    (32615, _('UTM Zone 15, northern hemisphere')),
    (32616, _('UTM Zone 16, northern hemisphere')),
    (32617, _('UTM Zone 17, northern hemisphere')),
    (32618, _('UTM Zone 18, northern hemisphere')),
    (32619, _('UTM Zone 19, northern hemisphere')),
    (32620, _('UTM Zone 20, northern hemisphere')),

    (32621, _('UTM Zone 21, northern hemisphere')),
    (32622, _('UTM Zone 22, northern hemisphere')),
    (32623, _('UTM Zone 23, northern hemisphere')),
    (32624, _('UTM Zone 24, northern hemisphere')),
    (32625, _('UTM Zone 25, northern hemisphere')),
    (32626, _('UTM Zone 26, northern hemisphere')),
    (32627, _('UTM Zone 27, northern hemisphere')),
    (32628, _('UTM Zone 28, northern hemisphere')),
    (32629, _('UTM Zone 29, northern hemisphere')),
    (32630, _('UTM Zone 30, northern hemisphere')),

    (32631, _('UTM Zone 31, northern hemisphere')),
    (32632, _('UTM Zone 32, northern hemisphere')),
    (32633, _('UTM Zone 33, northern hemisphere')),
    (32634, _('UTM Zone 34, northern hemisphere')),
    (32635, _('UTM Zone 35, northern hemisphere')),
    (32636, _('UTM Zone 36, northern hemisphere')),
    (32637, _('UTM Zone 37, northern hemisphere')),
    (32638, _('UTM Zone 38, northern hemisphere')),
    (32639, _('UTM Zone 39, northern hemisphere')),
    (32640, _('UTM Zone 40, northern hemisphere')),

    (32641, _('UTM Zone 41, northern hemisphere')),
    (32642, _('UTM Zone 42, northern hemisphere')),
    (32643, _('UTM Zone 43, northern hemisphere')),
    (32644, _('UTM Zone 44, northern hemisphere')),
    (32645, _('UTM Zone 45, northern hemisphere')),
    (32646, _('UTM Zone 46, northern hemisphere')),
    (32647, _('UTM Zone 47, northern hemisphere')),
    (32648, _('UTM Zone 48, northern hemisphere')),
    (32649, _('UTM Zone 49, northern hemisphere')),
    (32650, _('UTM Zone 50, northern hemisphere')),

    (32651, _('UTM Zone 51, northern hemisphere')),
    (32652, _('UTM Zone 52, northern hemisphere')),
    (32653, _('UTM Zone 53, northern hemisphere')),
    (32654, _('UTM Zone 54, northern hemisphere')),
    (32655, _('UTM Zone 55, northern hemisphere')),
    (32656, _('UTM Zone 56, northern hemisphere')),
    (32657, _('UTM Zone 57, northern hemisphere')),
    (32658, _('UTM Zone 58, northern hemisphere')),
    (32659, _('UTM Zone 59, northern hemisphere')),
    (32660, _('UTM Zone 60, northern hemisphere')),

    (32701, _('UTM Zone 1, southern hemisphere')),
    (32702, _('UTM Zone 2, southern hemisphere')),
    (32703, _('UTM Zone 3, southern hemisphere')),
    (32704, _('UTM Zone 4, southern hemisphere')),
    (32705, _('UTM Zone 5, southern hemisphere')),
    (32706, _('UTM Zone 6, southern hemisphere')),
    (32707, _('UTM Zone 7, southern hemisphere')),
    (32708, _('UTM Zone 8, southern hemisphere')),
    (32709, _('UTM Zone 9, southern hemisphere')),
    (32710, _('UTM Zone 10, southern hemisphere')),

    (32711, _('UTM Zone 11, southern hemisphere')),
    (32712, _('UTM Zone 12, southern hemisphere')),
    (32713, _('UTM Zone 13, southern hemisphere')),
    (32714, _('UTM Zone 14, southern hemisphere')),
    (32715, _('UTM Zone 15, southern hemisphere')),
    (32716, _('UTM Zone 16, southern hemisphere')),
    (32717, _('UTM Zone 17, southern hemisphere')),
    (32718, _('UTM Zone 18, southern hemisphere')),
    (32719, _('UTM Zone 19, southern hemisphere')),
    (32720, _('UTM Zone 20, southern hemisphere')),

    (32721, _('UTM Zone 21, southern hemisphere')),
    (32722, _('UTM Zone 22, southern hemisphere')),
    (32723, _('UTM Zone 23, southern hemisphere')),
    (32724, _('UTM Zone 24, southern hemisphere')),
    (32725, _('UTM Zone 25, southern hemisphere')),
    (32726, _('UTM Zone 26, southern hemisphere')),
    (32727, _('UTM Zone 27, southern hemisphere')),
    (32728, _('UTM Zone 28, southern hemisphere')),
    (32729, _('UTM Zone 29, southern hemisphere')),
    (32730, _('UTM Zone 30, southern hemisphere')),

    (32731, _('UTM Zone 31, southern hemisphere')),
    (32732, _('UTM Zone 32, southern hemisphere')),
    (32733, _('UTM Zone 33, southern hemisphere')),
    (32734, _('UTM Zone 34, southern hemisphere')),
    (32735, _('UTM Zone 35, southern hemisphere')),
    (32736, _('UTM Zone 36, southern hemisphere')),
    (32737, _('UTM Zone 37, southern hemisphere')),
    (32738, _('UTM Zone 38, southern hemisphere')),
    (32739, _('UTM Zone 39, southern hemisphere')),
    (32740, _('UTM Zone 40, southern hemisphere')),

    (32741, _('UTM Zone 41, southern hemisphere')),
    (32742, _('UTM Zone 42, southern hemisphere')),
    (32743, _('UTM Zone 43, southern hemisphere')),
    (32744, _('UTM Zone 44, southern hemisphere')),
    (32745, _('UTM Zone 45, southern hemisphere')),
    (32746, _('UTM Zone 46, southern hemisphere')),
    (32747, _('UTM Zone 47, southern hemisphere')),
    (32748, _('UTM Zone 48, southern hemisphere')),
    (32749, _('UTM Zone 49, southern hemisphere')),
    (32750, _('UTM Zone 50, southern hemisphere')),

    (32751, _('UTM Zone 51, southern hemisphere')),
    (32752, _('UTM Zone 52, southern hemisphere')),
    (32753, _('UTM Zone 53, southern hemisphere')),
    (32754, _('UTM Zone 54, southern hemisphere')),
    (32755, _('UTM Zone 55, southern hemisphere')),
    (32756, _('UTM Zone 56, southern hemisphere')),
    (32757, _('UTM Zone 57, southern hemisphere')),
    (32758, _('UTM Zone 58, southern hemisphere')),
    (32759, _('UTM Zone 59, southern hemisphere')),
    (32760, _('UTM Zone 60, southern hemisphere')),
)

CHOICES = (
    (_('Global coordinate reference systems'), GLOBAL_CHOICES),
    (_('UTM zones'), UTM_ZONE_CHOICES),
)
