INSERT INTO osmaxx.water_a
  SELECT osm_id as osm_id,
    osm_timestamp as lastchange,
    CASE
     WHEN osm_id<0 THEN 'R' -- Relation
     ELSE 'W'               -- Way
     END AS geomtype,
    ST_Multi(way) AS geom,
-- Classifying different Water Bodies --
    case
     when "natural" is not null then "natural"
     when leisure is not null then leisure
     when man_made is not null  then man_made
     when waterway in ('riverbank','dam','weir') then waterway
     else 'waterway'
    end as type,

    name as name,
    "name:en" as name_en,
    "name:fr" as name_fr,
    "name:es" as name_es,
    "name:de" as name_de,
    int_name as name_int,
    case
        when name is not null AND name = osml10n_translit(name) then name
        when "name:en" is not null then "name:en"
        when "name:fr" is not null then "name:fr"
        when "name:es" is not null then "name:es"
        when "name:de" is not null then "name:de"
        when int_name is not null then osml10n_translit(int_name)
        when name is not null then osml10n_translit(name)
        else NULL
    end as label,
    cast(tags as text) as tags
     FROM osm_polygon
     WHERE waterway is not null or leisure in ('slipway','marina')  or man_made in ('reservoir_covered','pier') or "natural" in ('water','spring');
